/***
 * 
 * Copyright (C) 2008 Alessandro La Rosa
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: alessandro.larosa@gmail.com
 *
 * Author: Alessandro La Rosa
 */

package com.jappit.wiki.kxmlrss.display;

import java.util.Vector;

import javax.microedition.lcdui.List;

import com.jappit.wiki.kxmlrss.parser.KXmlRssParser;
import com.jappit.wiki.kxmlrss.parser.RssItem;

public class TitleList extends List
{
	public TitleList()
	{
		super("Rss Feed", List.IMPLICIT);
		
		KXmlRssParser parser = new KXmlRssParser();
		
		try
		{
			Vector rssItems = parser.parse("http://www.jappit.com/blog/feed/");
			
			for(int i = 0; i < rssItems.size(); i++)
			{
				append(((RssItem)rssItems.elementAt(i)).title, null);
			}
		}
		catch(Exception e)
		{
			append("Error: " + e, null);
			
			e.printStackTrace();
		}
	}
}
